Bug 131456 - Writer Tabbed: Wrong Portrait icon in Orientation toolbox
Summary: Writer Tabbed: Wrong Portrait icon in Orientation toolbox
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Elementary Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-03-21 08:26 UTC by Rizal Muttaqin
Modified: 2020-08-21 10:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sukapura icons with New Orientation icons (17.36 MB, application/vnd.openofficeorg.extension)
2020-03-21 08:26 UTC, Rizal Muttaqin
Details
Wrong portrait icon (7.07 KB, image/png)
2020-08-16 09:36 UTC, Rizal Muttaqin
Details
Orientation icon is now fixed (7.79 KB, image/png)
2020-08-21 02:02 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-03-21 08:26:49 UTC
Created attachment 158845 [details]
Sukapura icons with New Orientation icons

Step to reproduce:
1. Install Sukapura icon theme extension in the attachment 
2. Enable Tabbed interface in Writer (View > User Interface > Tabbed).
3. Go to Layout tab, see Orientation toolbox, we got Portrait icon is the same as Orientation icon itself.

Instead of use existing icon in icon-themes/*/sw/res/sidebar/pagepropppanel/portraitcopy_24x24.png, Writer use lc_orientation.png in the icon theme to represent portrait image.

This extension was my trial to differentiate between the orientation icon and the potrait image. The existing lc_orientation.png icon in Sukapura use plain page with A letter in the center so it also reflect the portrait image. I would like to separate theme by removing following line in the links.txt and create more accurate orientation icons (cmd/lc_orientation.png, cmd/sc_orientation.png and cmd/32/orientation.png) but the result was not expected.

sw/res/sidebar/pageproppanel/portraitcopy_24x24.png cmd/lc_orientation.png

So I guess the portrait image is now hardcoded to use lc_orientation.png, not managed by the icon theme. I'm pretty sure this was not happen in previous version (though I have not prove that) since sw/res/sidebar/pageproppanel/portraitcopy_24x24.png file available in Galaxy as well.


Another thing that the More Options in Page Size toolbox (in the right of the Orientation toolbox)  actually use lc_orientation.png as well.
Comment 1 Buovjaga 2020-06-19 12:46:56 UTC
Confirmed with extension

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: ad0351b84926075297fb74abbe9b31a0455782af
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 17 June 2020
Comment 2 Commit Notification 2020-08-13 22:59:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/56d5531373cf0588e02c254ea8ffa00221c8342b

tdf#131456 icon for Portrait orientation in Writer Tabbed UI

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-08-14 05:34:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/a765054e37c3d8b7261d701279f5504263f380c6

tdf#131456 icon for Portrait orientation in Writer Tabbed UI

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-08-14 12:40:23 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fa575be1e59b333a9aadcf4161686dfae2faa555

Breeze & Sifr tdf#131456 ^ Orientation icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-08-14 13:49:53 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4702c1bdc84d3de18954086998f426d37fb0ae50

Breeze & Sifr tdf#131456 ^ Orientation icons

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Rizal Muttaqin 2020-08-16 09:36:17 UTC
Created attachment 164344 [details]
Wrong portrait icon

Likely something wrong with my patch. Set it back to NEW

@Andreas have you any clue?
Comment 7 Rizal Muttaqin 2020-08-16 09:42:54 UTC
Ah my fault, it should be `pageproppanel`, not `pagepropppanel`
Comment 8 Commit Notification 2020-08-16 10:29:58 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab346881058f947282ad98f11fb4338f8e790148

tdf#131456 fix typo

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-16 11:30:29 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6e85b7e8d77a483e3c64c39b586cac7e9c2f2a8e

tdf#131456 fix typo

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-18 00:13:14 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c8a059643b460f625c3d4ae6b15c221c3f4fc913

elementary & Colibre: tdf#131456 Orientation icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-08-18 08:52:33 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5f69a6efee1b0a0bdf8ee59910d58b5fc6148f94

elementary & Colibre: tdf#131456 Orientation icons

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Rizal Muttaqin 2020-08-21 02:02:48 UTC
Created attachment 164515 [details]
Orientation icon is now fixed

Verified fixed

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-08-19_02:56:36
Calc: threaded